PHP 5.2.x bajo CentOS 5.2 y plesk 9.x

Tenemos instalado CentOS 5.2 y Plesk 9. Por defecto, viene con php 5.1.6, pero para un proyecto necesitabamos, como mínimo, php 5.2.

Lo será actualizar a la última versión de plesk, dentro del rango que os encorntreis en nuestro caso 9.5.x. Ahora toca actualizar la versión de php, para ello usaremos los repositorios de Atomic Rocket  Turtle

Neesitaremos wget para descargar un script, así que en el caso de que no tengamos wget lo instalamos:

yum install wget

Ahora, empezamos con la instalación…

wget -q -O – http://www.atomicorp.com/installers/atomic | sh

Nos preguntará que si estamos con plesk 8.6 o con la 9.x, seleccionamos la versión correspondiente.

… y actualizamos:

yum update.

Tomamos un cafe, entramos en plesk, servicios, reiniciamos el apache y a correr.

Ya tenemos la última versión de php instalada y funcionando en nuestro sistema.

Fuentes: http://blog.jesusyepes.com/administracion-de-sistemas/instalar-php-52x-529-bajo-centos-52-y-plesk-9x/